use super::rdata::RData;
use super::Name;

#[derive(Clone, Debug)]
pub struct Record {
    pub name: Name,
    pub ttl: u32,
    pub rdata: RData
}

#[derive(Clone, Debug)]
pub struct RecordList {
    pub records: Vec<Record>,
}

impl RecordList {
    pub fn new(records: &[Record]) -> Self {
        RecordList { records: records.into() }
    }
    pub fn sort(&mut self) {
        self.records.sort_by(|r1, r2| {
            let key1 = (&r1.name, r1.rdata.rtype());
            let key2 = (&r2.name, r2.rdata.rtype());
            key1.cmp(&key2)
        });
    }
}
pub struct AddRecords {
    pub new_records: RecordList
}
